[Xorp-hackers] [PATCH] windows: mingw cross compiler : build xorp_win32.zip : win32_pkg.bash 1) libstdc++-6.dll 2) change order exit errors 3) update notes mingw32 packages

Victor Miasnikov vvm at tut.by
Mon Mar 12 05:35:03 PDT 2012


From: Victor Miasnikov <vvm at tut.by>

windows: mingw cross compiler : build xorp_win32.zip : win32_pkg.bash

1) add copy libstdc++-6.dll in win32_pkg.bash

2) change order exit errors numbers
i.e. first common issue, last -- copy *.dll related

3) update notes about Fedora cross-compile packages ( mingw32-* )

Signed-off-by: Victor Miasnikov <vvm at tut.by>
---
 xorp/win32_pkg.bash |   28 +++++++++++++++-------------
 1 files changed, 15 insertions(+), 13 deletions(-)

diff --git a/xorp/win32_pkg.bash b/xorp/win32_pkg.bash
index a7fa284..b0a5030 100755
--- a/xorp/win32_pkg.bash
+++ b/xorp/win32_pkg.bash
@@ -4,20 +4,20 @@
 # This needs to be run as root (or via sudo) to have a good
 # chance of working...
 
-# This works on modern Fedora, with these pkgs installed:
+# This works on modern Fedora ( on 2012-03-12: Fedora 16), with these pkgs installed:
 
 #mingw32-pdcurses-3.4-8.fc15.noarch
-#mingw32-cpp-4.5.3-1.fc15.i686
-#mingw32-binutils-2.21-1.fc15.i686
-#mingw32-w32api-3.15-2.fc15.noarch
-#mingw32-openssl-1.0.0d-1.fc15.noarch
+#mingw32-cpp-4.6.1-3.fc16.i686
+#mingw32-binutils-2.21-2.fc16.i686
+#mingw32-w32api-3.17-1.fc16.noarch
+#mingw32-openssl-1.0.0d-1.fc16.noarch
 #mingw32-libgnurx-2.5.1-7.fc15.noarch
-#mingw32-zlib-1.2.5-3.fc15.noarch
-#mingw32-gcc-c++-4.5.3-1.fc15.i686
-#mingw32-gcc-4.5.3-1.fc15.i686
-#mingw32-runtime-3.15.2-5.fc13.noarch
-#mingw32-pthreads-2.8.0-13.fc15.noarch
-#mingw32-filesystem-69-3.fc15.noarch
+#mingw32-zlib-1.2.5-5.fc16.noarch
+#mingw32-gcc-c++-4.6.1-3.fc16.i686
+#mingw32-gcc-4.6.1-3.fc16.i686
+#mingw32-runtime-3.18-4.fc16.noarch
+#mingw32-pthreads-2.8.0-15.20110511cvs.fc16.noarch
+#mingw32-filesystem-69-11.fc16.noarch
 
 # In addition, you need the fix listed in this bug:
 #http://lists.fedoraproject.org/pipermail/mingw/2011-February/003442.html
@@ -52,10 +52,12 @@ scons $SARGS install || exit 2
 
 echo "Copy some files..."
 # Copy some run-time libraries to the xorp dir for packaging
-cp /usr/i686-pc-mingw32/sys-root/mingw/bin/libcrypto-10.dll /usr/local/xorp/sbin/ || exit 3
 cp /usr/i686-pc-mingw32/sys-root/mingw/bin/zlib1.dll /usr/local/xorp/sbin/ || exit 4
 cp /usr/i686-pc-mingw32/sys-root/mingw/bin/libgcc_s_sjlj-1.dll /usr/local/xorp/sbin/ || exit 5
 cp /usr/i686-pc-mingw32/sys-root/mingw/bin/libgnurx-0.dll /usr/local/xorp/sbin/ || exit 6
+cp /usr/i686-pc-mingw32/sys-root/mingw/bin/libcrypto-10.dll /usr/local/xorp/sbin/ || exit 7
+cp /usr/i686-pc-mingw32/sys-root/mingw/bin/libstdc++-6.dll /usr/local/xorp/sbin/ || exit 8
+
 
 
 PWD=$(pwd)
@@ -66,7 +68,7 @@ then
     userdir = "./"
 fi
 
-cd /usr/local || exit 7
+cd /usr/local || exit 3
 
 if [ ! -d ${userdir}tmp ]
 then
-- 
1.7.9.msysgit.0





More information about the Xorp-hackers mailing list